org.apache.uima.jcas.cas

## Class AnnotationBase

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.AnnotationBase

- All Implemented Interfaces:
    Cloneable, AnnotationBaseFS, FeatureStructure, AnnotationBaseImpl, FeatureStructureImpl
  Direct Known Subclasses:
    Annotation

      public class AnnotationBase
      extends TOP
      implements AnnotationBaseImpl

  the JCas class model for the CAS type uima.cas.AnnotationBase. The AnnotationBase type defines one system-used feature which specifies for an annotation the subject of analysis (Sofa) to which it refers. Various annotation types (including the built-in uima.tcas.Annotation) may be defined as subtypes of this type. uima.tcas.Annotation is a subtype of this type, appropriate for Subjects of Analysis which are text strings. Other (not-built-in) subtypes may be defined for other kinds of Subjects of Analysis. For instance an audio sample Subject of Analysis might define a start and end position as time points in the stream. An image Subject of Analysis might define rectangular coordiantes describing a sub-area of the image. If you are defining a type which needs a reference to the Subject of Analysis (which is view-specific), it should be a subtype of this base type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_FeatName_sofa`
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnnotationBase()` Deprecated.
    `` | `AnnotationBase(JCas jcas)`
    `` | `AnnotationBase(TypeImpl t, CASImpl c)` used by generator Make a new AnnotationBase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SofaFS` | `getSofa()`
    `int` | `getTypeIndexID()`
    `CAS` | `getView()` Gets the CAS view associated with the Sofa that this Annotation is over.
    `void` | `setFeatureValue(Feature feat, FeatureStructure v)` Set a feature value to another FS.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### _FeatName_sofa

          public static final String _FeatName_sofa

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### AnnotationBase

          @Deprecated
          protected AnnotationBase()

      Deprecated.

    - #### AnnotationBase

          public AnnotationBase(JCas jcas)

    - #### AnnotationBase

          public AnnotationBase(TypeImpl t,
                                CASImpl c)

      used by generator Make a new AnnotationBase
      Parameters:
        `c` - -
        `t` - -

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### getSofa

          public SofaFS getSofa()

    - #### getView

          public CAS getView()

      Description copied from interface: `AnnotationBaseFS`
      Gets the CAS view associated with the Sofa that this Annotation is over.
      Specified by:
        `getView` in interface `AnnotationBaseFS`
      Returns:
        the CAS view associated with the Annotation's Sofa

    - #### setFeatureValue

          public void setFeatureValue(Feature feat,
                                      FeatureStructure v)

      Description copied from interface: `FeatureStructure`
      Set a feature value to another FS.
      Specified by:
        `setFeatureValue` in interface `FeatureStructure`
      Overrides:
        `setFeatureValue` in class `FeatureStructureImplC`
      Parameters:
        `feat` - The feature whose value should be set.
        `v` - The value FS.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.